import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusParkingLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusParkingLotCU extends ConditionUtil<BusParkingLotCU>{
    LOT_ID:FieldUtil<BusParkingLotCU>;
    GROUP_ID:FieldUtil<BusParkingLotCU>;
    LOT_CODE:FieldUtil<BusParkingLotCU>;
    LOT_NAME:FieldUtil<BusParkingLotCU>;
    LOGO_URL:FieldUtil<BusParkingLotCU>;
    TOTAL_SPACE:FieldUtil<BusParkingLotCU>;
    FUNC_FLAG:FieldUtil<BusParkingLotCU>;
    KEYWORD:FieldUtil<BusParkingLotCU>;
    DESCRIPTION:FieldUtil<BusParkingLotCU>;
    TRADE_FEE:FieldUtil<BusParkingLotCU>;
    CONTACT:FieldUtil<BusParkingLotCU>;
    CONTACT_INFO:FieldUtil<BusParkingLotCU>;
    PROV_ID:FieldUtil<BusParkingLotCU>;
    CITY_ID:FieldUtil<BusParkingLotCU>;
    DISTRICT_ID:FieldUtil<BusParkingLotCU>;
    LOT_NATURE_CODE:FieldUtil<BusParkingLotCU>;
    ADDRESS:FieldUtil<BusParkingLotCU>;
    USE_MAP:FieldUtil<BusParkingLotCU>;
    LONGITUDE:FieldUtil<BusParkingLotCU>;
    LATITUDE:FieldUtil<BusParkingLotCU>;
    USE_SUPERPARK:FieldUtil<BusParkingLotCU>;
    USE_KEYTOP:FieldUtil<BusParkingLotCU>;
    USE_SUB_MER:FieldUtil<BusParkingLotCU>;
    SUPERPARK_SUB_ACCT:FieldUtil<BusParkingLotCU>;
    KEYTOP_SUB_ACCT:FieldUtil<BusParkingLotCU>;
    REMARK:FieldUtil<BusParkingLotCU>;
    OPERATOR:FieldUtil<BusParkingLotCU>;
    CREATE_TIME:FieldUtil<BusParkingLotCU>;
    UPDATE_TIME:FieldUtil<BusParkingLotCU>;
    SUPERPARK_SUB_APPID:FieldUtil<BusParkingLotCU>;
    ENABLE_NEWS:FieldUtil<BusParkingLotCU>;
    NEWS_TEMPLATE:FieldUtil<BusParkingLotCU>;
    KEYTOP_SUB_APPID:FieldUtil<BusParkingLotCU>;
    PAY_URL:FieldUtil<BusParkingLotCU>;
    PAY_QR_CODE_URL:FieldUtil<BusParkingLotCU>;
    SHARE_QR_CODE_URL:FieldUtil<BusParkingLotCU>;
    ENABLE_CALLBACK:FieldUtil<BusParkingLotCU>;
    PAY_CALLBACK_URL:FieldUtil<BusParkingLotCU>;
    DISABLE_STC_QUERY:FieldUtil<BusParkingLotCU>;
    DISABLE_API_QUERY:FieldUtil<BusParkingLotCU>;
    ENABLE_PAYMENT:FieldUtil<BusParkingLotCU>;
    ENABLE_REFUND:FieldUtil<BusParkingLotCU>;
    ENABLE_POST_PAID:FieldUtil<BusParkingLotCU>;
    ENABLE_COME_MSG_PUSH:FieldUtil<BusParkingLotCU>;
    ENABLE_LOCATION_MSG_PUSH:FieldUtil<BusParkingLotCU>;
    ENABLE_CUSTOM_BTN:FieldUtil<BusParkingLotCU>;
    ENABLE_LOCK_CAR:FieldUtil<BusParkingLotCU>;
    LOT_SYNC_CHANNEL:FieldUtil<BusParkingLotCU>;
    IS_HOT:FieldUtil<BusParkingLotCU>;
    CLIENT_ID:FieldUtil<BusParkingLotCU>;
    CLOSE_TIP:FieldUtil<BusParkingLotCU>;
    ORD_QUERY_BTM_HTML:FieldUtil<BusParkingLotCU>;
    ORD_SUCCESS_HTML:FieldUtil<BusParkingLotCU>;
    IS_FAREWELL_WORD:FieldUtil<BusParkingLotCU>;
}

class BusParkingLotCUImpl extends ConditionUtilImpl<BusParkingLotCUImpl> implements BusParkingLotCU{ 
    newInstance(): BusParkingLotCUImpl {
        return new BusParkingLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOT_ID','lotId','', this);
    }
    get GROUP_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('GROUP_ID','groupId','', this);
    }
    get LOT_CODE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOT_CODE','lotCode','', this);
    }
    get LOT_NAME(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOT_NAME','lotName','', this);
    }
    get LOGO_URL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOGO_URL','logoUrl','', this);
    }
    get TOTAL_SPACE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('TOTAL_SPACE','totalSpace','', this);
    }
    get FUNC_FLAG(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('FUNC_FLAG','funcFlag','', this);
    }
    get KEYWORD(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('KEYWORD','keyword','', this);
    }
    get DESCRIPTION(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('DESCRIPTION','description','', this);
    }
    get TRADE_FEE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('TRADE_FEE','tradeFee','交易手续费,百分比', this);
    }
    get CONTACT(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CONTACT','contact','', this);
    }
    get CONTACT_INFO(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CONTACT_INFO','contactInfo','', this);
    }
    get PROV_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('PROV_ID','provId','', this);
    }
    get CITY_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CITY_ID','cityId','', this);
    }
    get DISTRICT_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('DISTRICT_ID','districtId','', this);
    }
    get LOT_NATURE_CODE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOT_NATURE_CODE','lotNatureCode','', this);
    }
    get ADDRESS(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ADDRESS','address','', this);
    }
    get USE_MAP(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('USE_MAP','useMap','', this);
    }
    get LONGITUDE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LONGITUDE','longitude','', this);
    }
    get LATITUDE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LATITUDE','latitude','', this);
    }
    get USE_SUPERPARK(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('USE_SUPERPARK','useSuperpark','', this);
    }
    get USE_KEYTOP(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('USE_KEYTOP','useKeytop','', this);
    }
    get USE_SUB_MER(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('USE_SUB_MER','useSubMer','', this);
    }
    get SUPERPARK_SUB_ACCT(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('SUPERPARK_SUB_ACCT','superparkSubAcct','', this);
    }
    get KEYTOP_SUB_ACCT(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('KEYTOP_SUB_ACCT','keytopSubAcct','', this);
    }
    get REMARK(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('REMARK','remark','备注', this);
    }
    get OPERATOR(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('OPERATOR','operator','操作人', this);
    }
    get CREATE_TIME(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get SUPERPARK_SUB_APPID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('SUPERPARK_SUB_APPID','superparkSubAppid','', this);
    }
    get ENABLE_NEWS(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_NEWS','enableNews','', this);
    }
    get NEWS_TEMPLATE(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('NEWS_TEMPLATE','newsTemplate','', this);
    }
    get KEYTOP_SUB_APPID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('KEYTOP_SUB_APPID','keytopSubAppid','', this);
    }
    get PAY_URL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('PAY_URL','payUrl','', this);
    }
    get PAY_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('PAY_QR_CODE_URL','payQrCodeUrl','', this);
    }
    get SHARE_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('SHARE_QR_CODE_URL','shareQrCodeUrl','共用二维码地址', this);
    }
    get ENABLE_CALLBACK(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_CALLBACK','enableCallback','', this);
    }
    get PAY_CALLBACK_URL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('PAY_CALLBACK_URL','payCallbackUrl','', this);
    }
    get DISABLE_STC_QUERY(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('DISABLE_STC_QUERY','disableStcQuery','禁止速停车查询', this);
    }
    get DISABLE_API_QUERY(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('DISABLE_API_QUERY','disableApiQuery','禁止API查询', this);
    }
    get ENABLE_PAYMENT(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_PAYMENT','enablePayment','是否支持缴费', this);
    }
    get ENABLE_REFUND(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_REFUND','enableRefund','', this);
    }
    get ENABLE_POST_PAID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_POST_PAID','enablePostPaid','是否启用后付费', this);
    }
    get ENABLE_COME_MSG_PUSH(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_COME_MSG_PUSH','enableComeMsgPush','是否启用入场消息推送', this);
    }
    get ENABLE_LOCATION_MSG_PUSH(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_LOCATION_MSG_PUSH','enableLocationMsgPush','是否启用车位消息推送', this);
    }
    get ENABLE_CUSTOM_BTN(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_CUSTOM_BTN','enableCustomBtn','是否开启自定义按钮', this);
    }
    get ENABLE_LOCK_CAR(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ENABLE_LOCK_CAR','enableLockCar','是否开启锁车功能', this);
    }
    get LOT_SYNC_CHANNEL(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('LOT_SYNC_CHANNEL','lotSyncChannel','TCP 0/MQ 1', this);
    }
    get IS_HOT(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('IS_HOT','isHot','是否支持热门车场', this);
    }
    get CLIENT_ID(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CLIENT_ID','clientId','车场本地ID', this);
    }
    get CLOSE_TIP(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('CLOSE_TIP','closeTip','', this);
    }
    get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ORD_QUERY_BTM_HTML','ordQueryBtmHtml','', this);
    }
    get ORD_SUCCESS_HTML(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('ORD_SUCCESS_HTML','ordSuccessHtml','在订单支付成功页面显示的自定义HTML', this);
    }
    get IS_FAREWELL_WORD(): FieldUtil<BusParkingLotCU>{  
        return new FieldUtil('IS_FAREWELL_WORD','isFarewellWord','', this);
    }
}

@Singleton 
class BusParkingLotMU extends TableUtilImpl<BusParkingLotCU,BusParkingLot>{ 
    tableName  = 'bus_parking_lot';
    tableFields  = ['LOT_ID','GROUP_ID','LOT_CODE','LOT_NAME','LOGO_URL','TOTAL_SPACE','FUNC_FLAG','KEYWORD','DESCRIPTION','TRADE_FEE','CONTACT','CONTACT_INFO','PROV_ID','CITY_ID','DISTRICT_ID','LOT_NATURE_CODE','ADDRESS','USE_MAP','LONGITUDE','LATITUDE','USE_SUPERPARK','USE_KEYTOP','USE_SUB_MER','SUPERPARK_SUB_ACCT','KEYTOP_SUB_ACCT','REMARK','OPERATOR','CREATE_TIME','UPDATE_TIME','SUPERPARK_SUB_APPID','ENABLE_NEWS','NEWS_TEMPLATE','KEYTOP_SUB_APPID','PAY_URL','PAY_QR_CODE_URL','SHARE_QR_CODE_URL','ENABLE_CALLBACK','PAY_CALLBACK_URL','DISABLE_STC_QUERY','DISABLE_API_QUERY','ENABLE_PAYMENT','ENABLE_REFUND','ENABLE_POST_PAID','ENABLE_COME_MSG_PUSH','ENABLE_LOCATION_MSG_PUSH','ENABLE_CUSTOM_BTN','ENABLE_LOCK_CAR','LOT_SYNC_CHANNEL','IS_HOT','CLIENT_ID','CLOSE_TIP','ORD_QUERY_BTM_HTML','ORD_SUCCESS_HTML','IS_FAREWELL_WORD'];
    modelFields  = ['lotId','groupId','lotCode','lotName','logoUrl','totalSpace','funcFlag','keyword','description','tradeFee','contact','contactInfo','provId','cityId','districtId','lotNatureCode','address','useMap','longitude','latitude','useSuperpark','useKeytop','useSubMer','superparkSubAcct','keytopSubAcct','remark','operator','createTime','updateTime','superparkSubAppid','enableNews','newsTemplate','keytopSubAppid','payUrl','payQrCodeUrl','shareQrCodeUrl','enableCallback','payCallbackUrl','disableStcQuery','disableApiQuery','enablePayment','enableRefund','enablePostPaid','enableComeMsgPush','enableLocationMsgPush','enableCustomBtn','enableLockCar','lotSyncChannel','isHot','clientId','closeTip','ordQueryBtmHtml','ordSuccessHtml','isFarewellWord'];
    modelIdFields  = ['lotId'];
    tableIdFields  = ['LOT_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BusParkingLotCU {
        return new BusParkingLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','', new BusParkingLotCUImpl());
    }
    static get GROUP_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('GROUP_ID','groupId','', new BusParkingLotCUImpl());
    }
    static get LOT_CODE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOT_CODE','lotCode','', new BusParkingLotCUImpl());
    }
    static get LOT_NAME(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOT_NAME','lotName','', new BusParkingLotCUImpl());
    }
    static get LOGO_URL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOGO_URL','logoUrl','', new BusParkingLotCUImpl());
    }
    static get TOTAL_SPACE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('TOTAL_SPACE','totalSpace','', new BusParkingLotCUImpl());
    }
    static get FUNC_FLAG(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('FUNC_FLAG','funcFlag','', new BusParkingLotCUImpl());
    }
    static get KEYWORD(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('KEYWORD','keyword','', new BusParkingLotCUImpl());
    }
    static get DESCRIPTION(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('DESCRIPTION','description','', new BusParkingLotCUImpl());
    }
    static get TRADE_FEE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('TRADE_FEE','tradeFee','交易手续费,百分比', new BusParkingLotCUImpl());
    }
    static get CONTACT(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CONTACT','contact','', new BusParkingLotCUImpl());
    }
    static get CONTACT_INFO(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CONTACT_INFO','contactInfo','', new BusParkingLotCUImpl());
    }
    static get PROV_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('PROV_ID','provId','', new BusParkingLotCUImpl());
    }
    static get CITY_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CITY_ID','cityId','', new BusParkingLotCUImpl());
    }
    static get DISTRICT_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('DISTRICT_ID','districtId','', new BusParkingLotCUImpl());
    }
    static get LOT_NATURE_CODE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOT_NATURE_CODE','lotNatureCode','', new BusParkingLotCUImpl());
    }
    static get ADDRESS(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ADDRESS','address','', new BusParkingLotCUImpl());
    }
    static get USE_MAP(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('USE_MAP','useMap','', new BusParkingLotCUImpl());
    }
    static get LONGITUDE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LONGITUDE','longitude','', new BusParkingLotCUImpl());
    }
    static get LATITUDE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LATITUDE','latitude','', new BusParkingLotCUImpl());
    }
    static get USE_SUPERPARK(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('USE_SUPERPARK','useSuperpark','', new BusParkingLotCUImpl());
    }
    static get USE_KEYTOP(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('USE_KEYTOP','useKeytop','', new BusParkingLotCUImpl());
    }
    static get USE_SUB_MER(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('USE_SUB_MER','useSubMer','', new BusParkingLotCUImpl());
    }
    static get SUPERPARK_SUB_ACCT(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('SUPERPARK_SUB_ACCT','superparkSubAcct','', new BusParkingLotCUImpl());
    }
    static get KEYTOP_SUB_ACCT(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('KEYTOP_SUB_ACCT','keytopSubAcct','', new BusParkingLotCUImpl());
    }
    static get REMARK(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('REMARK','remark','备注', new BusParkingLotCUImpl());
    }
    static get OPERATOR(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('OPERATOR','operator','操作人', new BusParkingLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusParkingLotCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusParkingLotCUImpl());
    }
    static get SUPERPARK_SUB_APPID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('SUPERPARK_SUB_APPID','superparkSubAppid','', new BusParkingLotCUImpl());
    }
    static get ENABLE_NEWS(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_NEWS','enableNews','', new BusParkingLotCUImpl());
    }
    static get NEWS_TEMPLATE(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('NEWS_TEMPLATE','newsTemplate','', new BusParkingLotCUImpl());
    }
    static get KEYTOP_SUB_APPID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('KEYTOP_SUB_APPID','keytopSubAppid','', new BusParkingLotCUImpl());
    }
    static get PAY_URL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('PAY_URL','payUrl','', new BusParkingLotCUImpl());
    }
    static get PAY_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('PAY_QR_CODE_URL','payQrCodeUrl','', new BusParkingLotCUImpl());
    }
    static get SHARE_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('SHARE_QR_CODE_URL','shareQrCodeUrl','共用二维码地址', new BusParkingLotCUImpl());
    }
    static get ENABLE_CALLBACK(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_CALLBACK','enableCallback','', new BusParkingLotCUImpl());
    }
    static get PAY_CALLBACK_URL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('PAY_CALLBACK_URL','payCallbackUrl','', new BusParkingLotCUImpl());
    }
    static get DISABLE_STC_QUERY(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('DISABLE_STC_QUERY','disableStcQuery','禁止速停车查询', new BusParkingLotCUImpl());
    }
    static get DISABLE_API_QUERY(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('DISABLE_API_QUERY','disableApiQuery','禁止API查询', new BusParkingLotCUImpl());
    }
    static get ENABLE_PAYMENT(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_PAYMENT','enablePayment','是否支持缴费', new BusParkingLotCUImpl());
    }
    static get ENABLE_REFUND(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_REFUND','enableRefund','', new BusParkingLotCUImpl());
    }
    static get ENABLE_POST_PAID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_POST_PAID','enablePostPaid','是否启用后付费', new BusParkingLotCUImpl());
    }
    static get ENABLE_COME_MSG_PUSH(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_COME_MSG_PUSH','enableComeMsgPush','是否启用入场消息推送', new BusParkingLotCUImpl());
    }
    static get ENABLE_LOCATION_MSG_PUSH(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_LOCATION_MSG_PUSH','enableLocationMsgPush','是否启用车位消息推送', new BusParkingLotCUImpl());
    }
    static get ENABLE_CUSTOM_BTN(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_CUSTOM_BTN','enableCustomBtn','是否开启自定义按钮', new BusParkingLotCUImpl());
    }
    static get ENABLE_LOCK_CAR(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ENABLE_LOCK_CAR','enableLockCar','是否开启锁车功能', new BusParkingLotCUImpl());
    }
    static get LOT_SYNC_CHANNEL(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('LOT_SYNC_CHANNEL','lotSyncChannel','TCP 0/MQ 1', new BusParkingLotCUImpl());
    }
    static get IS_HOT(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('IS_HOT','isHot','是否支持热门车场', new BusParkingLotCUImpl());
    }
    static get CLIENT_ID(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CLIENT_ID','clientId','车场本地ID', new BusParkingLotCUImpl());
    }
    static get CLOSE_TIP(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('CLOSE_TIP','closeTip','', new BusParkingLotCUImpl());
    }
    static get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ORD_QUERY_BTM_HTML','ordQueryBtmHtml','', new BusParkingLotCUImpl());
    }
    static get ORD_SUCCESS_HTML(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('ORD_SUCCESS_HTML','ordSuccessHtml','在订单支付成功页面显示的自定义HTML', new BusParkingLotCUImpl());
    }
    static get IS_FAREWELL_WORD(): FieldUtil<BusParkingLotCU>{ 
        return new FieldUtil('IS_FAREWELL_WORD','isFarewellWord','', new BusParkingLotCUImpl());
    }

    get LOT_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOT_ID;
    }
    get GROUP_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.GROUP_ID;
    }
    get LOT_CODE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOT_CODE;
    }
    get LOT_NAME(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOT_NAME;
    }
    get LOGO_URL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOGO_URL;
    }
    get TOTAL_SPACE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.TOTAL_SPACE;
    }
    get FUNC_FLAG(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.FUNC_FLAG;
    }
    get KEYWORD(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.KEYWORD;
    }
    get DESCRIPTION(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.DESCRIPTION;
    }
    get TRADE_FEE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.TRADE_FEE;
    }
    get CONTACT(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CONTACT;
    }
    get CONTACT_INFO(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CONTACT_INFO;
    }
    get PROV_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.PROV_ID;
    }
    get CITY_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CITY_ID;
    }
    get DISTRICT_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.DISTRICT_ID;
    }
    get LOT_NATURE_CODE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOT_NATURE_CODE;
    }
    get ADDRESS(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ADDRESS;
    }
    get USE_MAP(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.USE_MAP;
    }
    get LONGITUDE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LONGITUDE;
    }
    get LATITUDE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LATITUDE;
    }
    get USE_SUPERPARK(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.USE_SUPERPARK;
    }
    get USE_KEYTOP(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.USE_KEYTOP;
    }
    get USE_SUB_MER(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.USE_SUB_MER;
    }
    get SUPERPARK_SUB_ACCT(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.SUPERPARK_SUB_ACCT;
    }
    get KEYTOP_SUB_ACCT(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.KEYTOP_SUB_ACCT;
    }
    get REMARK(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.REMARK;
    }
    get OPERATOR(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.OPERATOR;
    }
    get CREATE_TIME(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.UPDATE_TIME;
    }
    get SUPERPARK_SUB_APPID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.SUPERPARK_SUB_APPID;
    }
    get ENABLE_NEWS(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_NEWS;
    }
    get NEWS_TEMPLATE(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.NEWS_TEMPLATE;
    }
    get KEYTOP_SUB_APPID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.KEYTOP_SUB_APPID;
    }
    get PAY_URL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.PAY_URL;
    }
    get PAY_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.PAY_QR_CODE_URL;
    }
    get SHARE_QR_CODE_URL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.SHARE_QR_CODE_URL;
    }
    get ENABLE_CALLBACK(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_CALLBACK;
    }
    get PAY_CALLBACK_URL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.PAY_CALLBACK_URL;
    }
    get DISABLE_STC_QUERY(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.DISABLE_STC_QUERY;
    }
    get DISABLE_API_QUERY(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.DISABLE_API_QUERY;
    }
    get ENABLE_PAYMENT(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_PAYMENT;
    }
    get ENABLE_REFUND(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_REFUND;
    }
    get ENABLE_POST_PAID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_POST_PAID;
    }
    get ENABLE_COME_MSG_PUSH(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_COME_MSG_PUSH;
    }
    get ENABLE_LOCATION_MSG_PUSH(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_LOCATION_MSG_PUSH;
    }
    get ENABLE_CUSTOM_BTN(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_CUSTOM_BTN;
    }
    get ENABLE_LOCK_CAR(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ENABLE_LOCK_CAR;
    }
    get LOT_SYNC_CHANNEL(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.LOT_SYNC_CHANNEL;
    }
    get IS_HOT(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.IS_HOT;
    }
    get CLIENT_ID(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CLIENT_ID;
    }
    get CLOSE_TIP(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.CLOSE_TIP;
    }
    get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ORD_QUERY_BTM_HTML;
    }
    get ORD_SUCCESS_HTML(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.ORD_SUCCESS_HTML;
    }
    get IS_FAREWELL_WORD(): FieldUtil<BusParkingLotCU>{ 
        return BusParkingLotMU.IS_FAREWELL_WORD;
    }
}
export {BusParkingLotMU, BusParkingLotCU}
